%global pypi_name oslo.upgradecheck

Summary:    Common code for writing OpenStack upgrade checks
Name:       python-oslo-upgradecheck
Version:    1.3.0
Release:    2%{?dist}
License:    Apache-2.0
URL:        https://opendev.org/openstack/oslo.upgradecheck
Source0:    %{pypi_source}

Requires:    python3-prettytable
BuildArch:   noarch

%description
Common code for writing OpenStack upgrade checks.

%package -n python3-oslo-upgradecheck
Summary:    Common code for writing OpenStack upgrade checks
BuildRequires:    python3-devel  python3-setuptools python3-pip python3-pbr
Provides:    python-oslo-upgradecheck

%description -n python3-oslo-upgradecheck
Common code for writing OpenStack upgrade checks.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
cp -arf doc %{buildroot}/%{_pkgdocdir}

%files -n python3-oslo-upgradecheck
%license LICENSE
%doc README.rst
%{python3_sitelib}/oslo_upgradecheck
%{python3_sitelib}/*.egg-info
%{_docdir}/*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 13 2023 Shuo Wang <abushwang@tencent.com> - 1.3.0-1
- initial build
